Bug 73901 - missing header file mfapi.h
missing header file mfapi.h
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 06:00 EDT by David Jansen
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-13 06:00:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2002-09-13 06:00:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
In order to install milters (sendmail filters) one needs a few libraries
(supplied in the sendmail package) and a header file mfapi.h which is missingin
the RedHat 7.2 supplied version of sendmail

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Try to compile any milter that requires libmilter.a, libsmutil.a and mfapi.h

Additional info:

I noticed RedHat Linux 7.3 has an additional package sendmail-devel which
contains the static libraries and header file. Unfortunately, upgrading the OS
of our mailserver is not really an option at this point.
Comment 1 Florian La Roche 2002-11-03 15:24:22 EST
As a quick fix you can just copy the file from the source package onto
your system, newer rpms already have this fixed.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.